import 'package:flutter/material.dart';
import 'package:new_architecture/ui/skeleton_loading/skeleton_loading_viewmodel.dart';
import 'package:stacked/stacked.dart';

class SkeletonLoadingView extends StatelessWidget {
  const SkeletonLoadingView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ViewModelBuilder<SkeletonLoadingViewModel>.reactive(
      builder: (context, model, child) => Scaffold(
        body: ListView.builder(itemBuilder: (context, index) {
          final item = model.data?[index];
          return SkeletonLoader(ListTile(
            title: Text(item!.title),
            subtitle: Text(item.description),
          ));
        }),
      ),
      viewModelBuilder: () => SkeletonLoadingViewModel(),
    );
  }
}
